Class ErrorPlot Extends Plot
(Defined in: jpgraph_error.php : 17)

ErrorPlot | Plot
__construct() | HideLegend() PreScaleSetup() SetCenter() SetColor() SetCSIMTargets() SetLegend() SetLineWeight()

Class usage and Overview
Concrete class which implements error plots. Error plots takes two y-values for each X-value, min and max. It then marks each pair of min/max values with a vertical bar.

Class Methods

ErrorPlot ::
__construct($datay, $datax)
//---------------// CONSTRUCTOR

Argument | Default | Description
--- | --- | ---
$datay |  | No description available
$datax | false | X-data

Description:
Create a new error plot. Each data value is specified by two y-values, a minimum and maximum value.

The X-vector is optional.

Example:

$errplot = new ErrorPlot($ydata);